firefox2.0插件及优化

为当前最终发行版之前的所有版本提供支持
回复
头像
gre_linewer
帖子: 180
注册时间: 2006-11-22 10:57
送出感谢: 0
接收感谢: 0
联系:

firefox2.0插件及优化

#1

帖子 gre_linewer » 2007-01-18 17:18

自打用linux来,除mozilla外,一直再用firefox浏览器.不过感觉默认设置还是有些问题的,如缺少插件,速度慢,有些网页一直出不来,昨天上中国专利网查下东西,竟然半天没出来,最后用实验室一台windows的ie三四秒中就出来了。。。。。无语。。。。。。。。。。
想下个java插件,sudo apt-get install sun-java5-plugin,可回车要我装一大堆别的东西,大约80M,
sudo apt-get install j2re1.4-mozilla-plugin 也是一样
我只想装个web的java插件
还有就是有时想看网上的电影。。。。。。
上次在论坛上有兄弟给个firefox插件的网址,MS国外的,上部了

我想应该是自己没设置好的的原因,以下是我做得部分优化设置,大家补充。。。。。。。

我的ubunt6.10的/usr/lib/firefox/plugins/下
libflashplayer.so #这个还是我从Debian下的mozilla的插件中copy过来的
libtotem-mully-plugin.so
libtotem-basic-plugin.so
libtotem-mully-plugin.xpt
libtotem-basic-plugin.xpt
libtotem-narrowspace-plugin.so
libtotem-complex-plugin.so
libtotem-narrowspace-plugin.xpt
libtotem-complex-plugin.xpt
libunixprintplugin.so
libtotem-gmp-plugin.so
libtotem-gmp-plugin.xpt
nppdf.so

###############下面是我从网上看到的.设置一下是快了不少####################################
在 FireFox 地址栏打开 about:config , 按照下面的修改
network.http.pipelining = true
network.http.pipelining.maxrequests = 30
network.http.proxy.pipelining = true
network.http.requests.max-start-delay = 0
network.http.max-connections 48
network.http.max-connections-per-server 24
network.dns.disableIPv6 = true
nglayout.initialpaint.delay = 0

还可以顺便设置一下标签行为:
browser.link.open_newwindow = 3
browser.link.open_newwindow.restriction = 0
Ubuntu 8.04
IBM R52-18465DC
CPU:PM 1.73Ghz DDR2:768MB 533Mhz
INTEL 915GM/915PM
ATI Mobility Radeon X300 64MB
40G SATA
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-01-18 18:22

想下个java插件,sudo apt-get install sun-java5-plugin,可回车要我装一大堆别的东西,大约80M,

java的库就是这么大
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
arli
帖子: 194
注册时间: 2006-11-24 11:00
来自: 太阳系第3行星
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 arli » 2007-01-18 18:22

network.http.pipelining.maxrequests = 30 非常的危险,千万不要盲从。。

在部分网站很容易被当成攻击封IP,单线或少量线程是有它的道理的,MS也不是猪头

推荐 4 或者 8,当哪天碰到10061 sock错误的话,就要注意是不是被封了

java plugin 必须安装 j2re 支持,一个 j2re 库是有80M,正常的。。考虑找个快的源apt-get
要爱护linux 就象爱护我们的庄稼地一样
头像
coffer
帖子: 673
注册时间: 2006-12-22 21:05
来自: 上海
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 coffer » 2007-01-18 20:51

建议楼主把firefox2.0换成firefox3.0 a1版吧,firefox3.0主要是针对软件的核心重新进行编程,改进后最大的一点就是浏览的速度比firefox2.0有了非常大的改进。

另一你也可以选择opera这款浏览器,我一直在用,opera的浏览速度在目前这些所有的浏览器里面,速度是最快的。
头像
qianwx
帖子: 730
注册时间: 2006-07-08 14:41
送出感谢: 0
接收感谢: 0

#5

帖子 qianwx » 2007-09-07 9:29

借地方问一下3楼兄弟,你说过下面这句话

代码: 全选

java plugin 必须安装 j2re 支持,一个 j2re 库是有80M,正常的。。考虑找个快的源apt-get
这是真的么??我对于linux下firefox的java插件安装不懂,这个j2re目前最高的版本是不是1.4的??
回复

回到 “老旧版本支持”